added a script for release preparation
Sun Dec 7 02:23:24 PST 2008 David Lichteblau <david@lichteblau.com>
* added a script for release preparation
Warning: CRC errors found. These are probably harmless but should be repaired.
See 'darcs gzcrcs --help' for more information.
diff -rN -u old-plexippus-xpath/dist.lisp new-plexippus-xpath/dist.lisp
--- old-plexippus-xpath/dist.lisp 1969-12-31 16:00:00.000000000 -0800
+++ new-plexippus-xpath/dist.lisp 2014-07-31 22:48:33.000000000 -0700
@@ -0,0 +1,10 @@
+(asdf:operate 'asdf:load-op :atdoc)
+(asdf:operate 'asdf:load-op :xpath)
+
+(atdoc:generate-html-documentation
+ '(:xpath)
+ (merge-pathnames
+ "doc/atdoc/"
+ (asdf:component-relative-pathname (asdf:find-system :xpath)))
+ :heading "Plexippus XPath"
+ :single-page-p t)
diff -rN -u old-plexippus-xpath/dist.sh new-plexippus-xpath/dist.sh
--- old-plexippus-xpath/dist.sh 1969-12-31 16:00:00.000000000 -0800
+++ new-plexippus-xpath/dist.sh 2014-07-31 22:48:33.000000000 -0700
@@ -0,0 +1,61 @@
+#!/bin/sh -e
+
+# This shell script prepares web pages, tarballs, and asdf-install symlinks
+# for a new Plexippus release.
+#
+# Documentation is built using atdoc. We assume that clbuild installed, so
+# that "clbuild lisp" will start a Lisp image suitable for the atdoc run.
+#
+# To minimize network traffic, we copy everything into a directory ~/clnet
+# instead copying anything directly to common-lisp.net.
+#
+# After running the script, you can sync the results to common-lisp.net like
+# this:
+#
+# rsync -av ~/clnet/project/plexippus-xpath common-lisp.net:/project/
+
+set -x
+
+cd $(dirname $0)
+home=$(pwd)
+name=$(basename $home)
+name_and_date=${name}-$(date --iso)
+
+TMPDIR=`mktemp -d /tmp/dist.XXXXXXXXXX`
+cleanup() {
+ cd
+ rm -rf $TMPDIR
+}
+trap cleanup exit
+
+make -C doc
+
+darcs tag $name_and_date
+darcs put -t $name_and_date $TMPDIR/$name_and_date
+rm -rf $TMPDIR/$name_and_date/_darcs
+
+echo '(progn (load "dist.lisp") (quit))' | clbuild lisp
+
+rsync -a doc $TMPDIR/$name_and_date/
+
+cd $TMPDIR
+
+tgz=$TMPDIR/${name_and_date}.tgz
+tar czf $tgz $name_and_date
+gpg -b -a $tgz
+
+mkdir -p ~/clnet/project/plexippus-xpath/public_html/
+
+rsync -av \
+ $name_and_date/doc/ \
+ ~/clnet/project/plexippus-xpath/public_html/
+
+rsync $tgz $tgz.asc ~/clnet/project/plexippus-xpath/public_html/download/
+
+rm -f ~/clnet/project/plexippus-xpath/public_html/download/plexippus-xpath.tar.gz
+rm -f ~/clnet/project/plexippus-xpath/public_html/download/plexippus-xpath.tar.gz.asc
+
+ln -sf ${name_and_date}.tgz ~/clnet/project/plexippus-xpath/public_html/download/plexippus-xpath.tar.gz
+ln -sf ${name_and_date}.tgz.asc ~/clnet/project/plexippus-xpath/public_html/download/plexippus-xpath.tar.gz.asc
+
+echo ok